<?php
/*
Plugin Name: Notification of the creation of a new admin user
Description: Ez a bővítmény egyedi WordPress értesítéseket küld, amikor egy új adminisztrátor jogkörű felhasználó regisztrál a weboldalon. A felhasználó létrejöttét követően azonnali értesítés meg az előre megadott e-mail címre, ezáltal lehetővé téve a gyors és hatékony reagálást az adminisztrátori jogosultságokkal rendelkező új felhasználók regisztrációira.
Author: Adam Szucs
Version: 1.0
*/

/**
 * Notify admin when a new admin user account is created
 */
add_action( 'user_register', 'admin_created_user_notification', 10, 1 );
function admin_created_user_notification( $user_id ) {
    $user = get_userdata( $user_id );

    // Ellenőrizze, hogy az új felhasználónak adminisztrátori jogosultságai vannak-e
    if ( in_array( 'administrator', (array) $user->roles ) ) {
        // Adminisztrátor e-mail címe
        $admin_email = 'admin@example.com'; // Ide írd be az admin e-mail címét

        // Értesítés tárgya és üzenete
        $subject = 'Új adminisztrátori felhasználó regisztrált';
        $message = 'Az alábbi adminisztrátori felhasználó regisztrált: ' . $user->user_email;

        // Elküldjük az értesítést
        wp_mail( $admin_email, $subject, $message );
    }
}